<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia - Gestion des pays depuis le back office                              */
/*                                                                                   */
/*      Copyright (c) 2009-2001, Franck Allimant, CQFDev                             */
/*		email : contact@cqfdev.fr		        	                             	 */
/*      web : http://www.cqfdev.fr                                                	 */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/

include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsClassiques.class.php");

class Gestionpays extends PluginsClassiques {

	const MODULE    = 'gestionpays';
	const NOMMODULE = 'Gestion des pays';
	const VERSION   = '1.0.0';
	const PREFIXE   = 'gp_';

	function Gestionpays()
	{
		$this->PluginsClassiques(self::MODULE);
	}

	function init()
	{
		$this->ajout_desc(
			self::NOMMODULE,
			self::NOMMODULE,
			"Ce plugin vous permet de grer les pays (ajouter, supprimer, modifier) depuis le back-office de Thelia",
			1
		);
	}
}
