<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia - Gestion des pays depuis le back office                              */
/*                                                                                   */
/*      Copyright (c) 2009-2001, Franck Allimant, CQFDev                             */
/*		email : contact@cqfdev.fr		        	                             	 */
/*      web : http://www.cqfdev.fr                                                	 */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/

// Prise en compte Thelia 1.4.0
@include_once(realpath(dirname(__FILE__)) . "/../../../fonctions/authplugins.php");
include_once(realpath(dirname(__file__)) . "/Gestionpays.class.php");

if (function_exists('autorisation'))
{
	autorisation(Gestionpays::MODULE);
}

include_once(realpath(dirname(__FILE__)) . "/PaysCorrige.class.php");

header('Content-Type: text/html; charset=iso-8859-1');

if ($_REQUEST['action'] == 'tva')
{
	$pays = new PaysCorrige();

	$id = intval($_REQUEST['pays']);

	if ($pays->charger($id))
	{
		$pays->tva = intval($_REQUEST['tva']);

		$pays->maj();
	}

	exit();
}
else if ($_REQUEST['action'] == 'defaut')
{
	$pays = new PaysCorrige();

	$id = intval($_REQUEST['pays']);

	mysql_query("update $pays->table set `default`=0");
	mysql_query("update $pays->table set `default`=1 where id=$id");

	exit();
}

/* Afficher la forme de modif/creation de pays */

include_once(realpath(dirname(__FILE__)) . "/../../../classes/Paysdesc.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Zone.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Lang.class.php");

$langues = array();

$langue = new Lang();

$result = mysql_query("select * from " . $langue->table . " order by id");

while ($result && $row = mysql_fetch_object($result))
{
	$langues[] = $row;
}

$pays = new PaysCorrige();
$paysdesc = new Paysdesc();

$id = intval($_REQUEST['pays']);

$pays->id = $id;

if ($id > 0)
{
	$pays->charger($id);
}

?>

<div class="entete">
  <div class="titre">EDITION</div>
  <div class="fonction_valider"><a href="#" onclick="$('#<?php echo Gestionpays::PREFIXE ?>edit_form').submit(); return false;">VALIDER LES MODIFICATIONS</a></div>
</div>

<form method="post" action="module.php" id="<?php echo Gestionpays::PREFIXE ?>edit_form">

	<input type="hidden" name="nom" value="<?php echo Gestionpays::MODULE ?>" />
	<input type="hidden" name="pays" value="<?php echo $pays->id; ?>" />
	<input type="hidden" name="offset" value="<?php echo $_REQUEST['offset']; ?>" />
	<input type="hidden" name="commande" value="edition" />

   <table width="100%" cellpadding="5" cellspacing="0">

     <tr class="claire">
      <td class="designation">Soumis  la TVA franaise</td>
      <td>
        <input type="radio" name="tva" value="1" <?php echo $pays->tva == 1 ? 'checked="checked"' : '' ?>/>Oui
        <input type="radio" name="tva" value="0" <?php echo $pays->tva == 0 ? 'checked="checked"' : '' ?>/> Non
      </td>
    </tr>

     <tr class="fonce">
      <td class="designation">Zone de transport</td>
      <td>
      <select name="zone">
      	<option value="0">Aucune</option>
      	<?php
      	$result = mysql_query('select * from zone order by nom');

      	while ($result && $zone = mysql_fetch_object($result, 'Zone'))
      	{
      		echo '<option value="'.$zone->id.'" '.($zone->id == $pays->zone ? 'selected="selected"' : '').'>'.$zone->nom.'</option>';
      	}
      	?>
      </select>
      </td>
    </tr>

      <?php foreach($langues as $langue)
      {
      	 if ($id > 0) $paysdesc->charger($id, $langue->id);
      ?>
	     <tr class="fonce">
	      <th colspan="2" style="height: 40px;">
	      	<img src="gfx/lang<?php echo $langue->id; ?>.gif" alt="<?php echo $langue->description ?>" align="absmiddle"/>
	      	<?php echo $langue->description ?>
	      	<input type="hidden" name="langue[<?php echo $langue->id; ?>]" value="<?php echo $langue->id; ?>" />
	      </th>
	    </tr>

	     <tr class="claire">
	      <td class="designation">Nom</td>
	      <td><input type="text" name="titre[<?php echo $langue->id; ?>]" value="<?php echo htmlspecialchars($paysdesc->titre); ?>" /></td>
	    </tr>

	     <tr class="fonce">
	      <td class="designation">Chapo</td>
	      <td><input type="text" name="chapo[<?php echo $langue->id; ?>]" value="<?php echo htmlspecialchars($paysdesc->chapo); ?>" /></td>
	    </tr>

	     <tr class="claire">
	      <td class="designation">Description</td>
	      <td><textarea style="height: 50px; width: 250px;" name="description[<?php echo $langue->id; ?>]"><?php echo $paysdesc->description; ?></textarea></td>
	    </tr>
	 <?php } ?>
  </table>
</form>